import { MrDeploymentConfig, MrDeployConfig } from './types';
import { MonoRepoPackage } from '@cirrusct/mr-core';
import { BuildSpecConfig } from '@cirrusct/mr-build';
import { MrDeployOptions, ResolvedDeploymentConfig } from './types';
export declare class DeploymentConfigResolver {
    mrPackage: MonoRepoPackage;
    deployConfig: MrDeployConfig;
    buildSpec?: BuildSpecConfig;
    options: MrDeployOptions;
    name?: string;
    deploymentConfig?: MrDeploymentConfig;
    private profileSettingsBaseName;
    private _globalDeployProfilesPath;
    private _globalDeploymentsProfilesPath;
    constructor(mrPackage: MonoRepoPackage, deployConfig: MrDeployConfig, buildSpec?: BuildSpecConfig, options?: MrDeployOptions, name?: string, deploymentConfig?: MrDeploymentConfig, profileSettingsBaseName?: string);
    private readonly globalDeployProfilesPath;
    private readonly globalDeploymentsProfilesPath;
    private findPackagenames;
    private resolveGlobalProfilePath;
    private resolveProfileConfig;
    private resolveTemplateSource;
    private resolveDependentServers;
    private buildSkinnyModel;
    resolveDeploymentConfig: (name: string, rawConfig?: MrDeploymentConfig) => Promise<ResolvedDeploymentConfig>;
    resolve: () => Promise<ResolvedDeploymentConfig[]>;
}
