"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_node_1 = require("@cirrusct/core-node");
const DeployTemplateContext_1 = require("./DeployTemplateContext");
const config_1 = require("./config");
const prettyjson = require("prettyjson");
exports.handleShowConfigCommand = ({ logger, packages, options = {}, cwd, monoRepo, }) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    try {
        const pattern = options.deployment || '*';
        const resolvedConfigs = yield config_1.getResolvedConfigs(pattern, options, monoRepo);
        yield showConfig(resolvedConfigs, logger);
    }
    catch (e) {
        throw core_node_1.createError(`ShowConfig Failed`, e);
    }
});
const showConfig = (resolvedConfig, logger) => tslib_1.__awaiter(this, void 0, void 0, function* () {
    const deploymentConfigs = Array.isArray(resolvedConfig) ? resolvedConfig : [resolvedConfig];
    for (const config of deploymentConfigs) {
        const context = new DeployTemplateContext_1.DeployTemplateContext(config);
        logger.info({
            name: config.name,
            package: context.mrPackage.name,
            output: context.output,
        });
        const skinnyModel = {
            name: config.name,
            dashedName: context.model.deploymentNameDashed,
            properties: context.model.properties,
        };
        //console.log(`${config.name} Model:`);
        //const model = destroyCircular(context.model);
        console.log(prettyjson.render(skinnyModel));
    }
});
//# sourceMappingURL=showConfig.js.map