"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.docker = {
    name: 'docker',
    description: 'Docker',
    transformOptions: options => {
        return Object.assign({}, options, { dotEnvPath: options.env, composeUp: options.run || options.up || false, composeBuild: options.build || false });
    },
    options: [
        {
            name: 'env',
            flag: 'e',
            valueType: 'string',
            description: 'File containing Environment variables (.env syntax)',
        },
        {
            name: 'deployment',
            valueType: 'string',
            description: 'Name or Pattern for Deployment to operate on',
        },
        {
            name: 'run',
            flag: 'r',
            valueType: 'boolean',
            description: 'docker-compose.yml up for defined for template',
        },
        {
            name: 'up',
            valueType: 'boolean',
            description: 'docker-compose.yml up for defined for template',
        },
        {
            name: 'build',
            flag: 'b',
            valueType: 'boolean',
            description: 'Build docker-compose.yml defined for template',
        },
        {
            name: 'tag',
            flag: 't',
            valueType: 'boolean',
            description: 'Tag for image',
        },
    ],
};
//# sourceMappingURL=cli.js.map