









# Interface: `Array`






## Properties

|Property | Description | Type | Optional|
|--- | --- | --- | ---|
|length | Gets or sets the length of the array. This is a number one higher than the highest element defined in an array. | Number | |

## Methods

|Method | Parameters | Description | ReturnType | Optional|
|--- | --- | --- | --- | ---|
|concat | ...**`items`**:  Array\<[ConcatArray](../ConcatArray/README.md)\<T\>\>  - Additional items to add to the end of array1. | Combines two or more arrays.<br><br><br>Combines two or more arrays. | Array\<T\> | |
|concat | ...**`items`**:  Array\<T ǀ [ConcatArray](../ConcatArray/README.md)\<T\>\>  - Additional items to add to the end of array1. | Combines two or more arrays.<br><br><br>Combines two or more arrays. | Array\<T\> | |
|every | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. The every method calls the callbackfn function for each element in array1 until the callbackfn returns false, or until the end of the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Determines whether all the members of an array satisfy the specified test. | Boolean | |
|filter | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Returns the elements of an array that meet the condition specified in a callback function.<br><br><br>Returns the elements of an array that meet the condition specified in a callback function. | Array\<S\> | |
|filter | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Returns the elements of an array that meet the condition specified in a callback function.<br><br><br>Returns the elements of an array that meet the condition specified in a callback function. | Array\<T\> | |
|forEach | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Performs the specified action for each element in an array. | Void | |
|indexOf | **`searchElement`**:  T  - The value to locate in the array.<br>**`fromIndex`**: *(Optional)*  Number  - The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0. | Returns the index of the first occurrence of a value in an array. | Number | |
|join | **`separator`**: *(Optional)*  String  - A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma. | Adds all the elements of an array separated by the specified separator string. | String | |
|lastIndexOf | **`searchElement`**:  T  - The value to locate in the array.<br>**`fromIndex`**: *(Optional)*  Number  - The array index at which to begin the search. If fromIndex is omitted, the search starts at the last index in the array. | Returns the index of the last occurrence of a specified value in an array. | Number | |
|map | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Calls a defined callback function on each element of an array, and returns an array that contains the results. | Array\<U\> | |
|pop |  | Removes the last element from an array and returns it. | T | |
|push | ...**`items`**:  Array\<T\>  - New elements of the Array. | Appends new elements to an array, and returns the new length of the array. | Number | |
|reduce | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array. | Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | T | |
|reduce | **`callbackfn`**:  ObjectLiteral <br>**`initialValue`**:  T  | Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | T | |
|reduce | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.<br>**`initialValue`**:  U  - If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value. | Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | U | |
|reduceRight | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array. | Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | T | |
|reduceRight | **`callbackfn`**:  ObjectLiteral <br>**`initialValue`**:  T  | Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | T | |
|reduceRight | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.<br>**`initialValue`**:  U  - If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value. | Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | U | |
|reverse |  | Reverses the elements in an Array. | Array\<T\> | |
|shift |  | Removes the first element from an array and returns it. | T | |
|slice | **`start`**: *(Optional)*  Number  - The beginning of the specified portion of the array.<br>**`end`**: *(Optional)*  Number  - The end of the specified portion of the array. | Returns a section of an array. | Array\<T\> | |
|some | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. The some method calls the callbackfn function for each element in array1 until the callbackfn returns true, or until the end of the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Determines whether the specified callback function returns true for any element of an array. | Boolean | |
|sort | **`compareFn`**: *(Optional)*  ObjectLiteral  - The name of the function used to determine the order of the elements. If omitted, the elements are sorted in ascending, ASCII character order. | Sorts an array. | This | |
|splice | **`start`**:  Number  - The zero-based location in the array from which to start removing elements.<br>**`deleteCount`**: *(Optional)*  Number  - The number of elements to remove. | Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.<br><br><br>Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements. | Array\<T\> | |
|splice | **`start`**:  Number  - The zero-based location in the array from which to start removing elements.<br>**`deleteCount`**:  Number  - The number of elements to remove.<br>...**`items`**:  Array\<T\>  - Elements to insert into the array in place of the deleted elements. | Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.<br><br><br>Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements. | Array\<T\> | |
|toLocaleString |  | Returns a string representation of an array. The elements are converted to string using their toLocalString methods. | String | |
|toString |  | Returns a string representation of an array. | String | |
|unshift | ...**`items`**:  Array\<T\>  - Elements to insert at the start of the Array. | Inserts new elements at the start of an array. | Number | |
