









# Interface: `RegExpExecArray`






## Properties

|Property | Description | Type | Optional|
|--- | --- | --- | ---|
|index |  | Number | |
|input |  | String | |
|length | Gets or sets the length of the array. This is a number one higher than the highest element defined in an array. | Number | |

## Methods

|Method | Parameters | Description | ReturnType | Optional|
|--- | --- | --- | --- | ---|
|__@iterator |  | Iterator  | [IterableIterator](../IterableIterator/README.md)\<String\> | |
|__@unscopables |  | Returns an object whose properties have the value 'true'<br>when they will be absent when used in a 'with' statement. | ObjectLiteral | |
|concat | ...**`items`**:  Array\<[ConcatArray](../ConcatArray/README.md)\<String\>\>  - Additional items to add to the end of array1. | Combines two or more arrays.<br><br><br>Combines two or more arrays. | Array\<String\> | |
|concat | ...**`items`**:  Array\<String ǀ [ConcatArray](../ConcatArray/README.md)\<String\>\>  - Additional items to add to the end of array1. | Combines two or more arrays.<br><br><br>Combines two or more arrays. | Array\<String\> | |
|copyWithin | **`target`**:  Number  - If target is negative, it is treated as length+target where length is the<br>length of the array.<br>**`start`**:  Number  - If start is negative, it is treated as length+start. If end is negative, it<br>is treated as length+end.<br>**`end`**: *(Optional)*  Number  - If not specified, length of the this object is used as its default value. | Returns the this object after copying a section of the array identified by start and end<br>to the same array starting at position target | [RegExpExecArray](README.md) | |
|entries |  | Returns an iterable of key, value pairs for every entry in the array | [IterableIterator](../IterableIterator/README.md)\<Tuple\> | |
|every | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. The every method calls the callbackfn function for each element in array1 until the callbackfn returns false, or until the end of the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Determines whether all the members of an array satisfy the specified test. | Boolean | |
|fill | **`value`**:  String  - value to fill array section with<br>**`start`**: *(Optional)*  Number  - index to start filling the array at. If start is negative, it is treated as<br>length+start where length is the length of the array.<br>**`end`**: *(Optional)*  Number  - index to stop filling the array at. If end is negative, it is treated as<br>length+end. | Returns the this object after filling the section identified by start and end with value | [RegExpExecArray](README.md) | |
|filter | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Returns the elements of an array that meet the condition specified in a callback function.<br><br><br>Returns the elements of an array that meet the condition specified in a callback function. | Array\<S\> | |
|filter | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Returns the elements of an array that meet the condition specified in a callback function.<br><br><br>Returns the elements of an array that meet the condition specified in a callback function. | Array\<String\> | |
|find | **`predicate`**:  ObjectLiteral  - find calls predicate once for each element of the array, in ascending<br>order, until it finds one where predicate returns true. If such an element is found, find<br>immediately returns that element value. Otherwise, find returns undefined.<br>**`thisArg`**: *(Optional)*  Any  - If provided, it will be used as the this value for each invocation of<br>predicate. If it is not provided, undefined is used instead. | Returns the value of the first element in the array where predicate is true, and undefined<br>otherwise. | S | |
|find | **`predicate`**:  ObjectLiteral <br>**`thisArg`**: *(Optional)*  Any  | Returns the value of the first element in the array where predicate is true, and undefined<br>otherwise. | String | |
|findIndex | **`predicate`**:  ObjectLiteral  - find calls predicate once for each element of the array, in ascending<br>order, until it finds one where predicate returns true. If such an element is found,<br>findIndex immediately returns that element index. Otherwise, findIndex returns -1.<br>**`thisArg`**: *(Optional)*  Any  - If provided, it will be used as the this value for each invocation of<br>predicate. If it is not provided, undefined is used instead. | Returns the index of the first element in the array where predicate is true, and -1<br>otherwise. | Number | |
|forEach | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Performs the specified action for each element in an array. | Void | |
|indexOf | **`searchElement`**:  String  - The value to locate in the array.<br>**`fromIndex`**: *(Optional)*  Number  - The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0. | Returns the index of the first occurrence of a value in an array. | Number | |
|join | **`separator`**: *(Optional)*  String  - A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma. | Adds all the elements of an array separated by the specified separator string. | String | |
|keys |  | Returns an iterable of keys in the array | [IterableIterator](../IterableIterator/README.md)\<Number\> | |
|lastIndexOf | **`searchElement`**:  String  - The value to locate in the array.<br>**`fromIndex`**: *(Optional)*  Number  - The array index at which to begin the search. If fromIndex is omitted, the search starts at the last index in the array. | Returns the index of the last occurrence of a specified value in an array. | Number | |
|map | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Calls a defined callback function on each element of an array, and returns an array that contains the results. | Array\<U\> | |
|pop |  | Removes the last element from an array and returns it. | String | |
|push | ...**`items`**:  Array\<String\>  - New elements of the Array. | Appends new elements to an array, and returns the new length of the array. | Number | |
|reduce | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array. | Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | String | |
|reduce | **`callbackfn`**:  ObjectLiteral <br>**`initialValue`**:  String  | Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | String | |
|reduce | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.<br>**`initialValue`**:  U  - If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value. | Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | U | |
|reduceRight | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array. | Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | String | |
|reduceRight | **`callbackfn`**:  ObjectLiteral <br>**`initialValue`**:  String  | Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | String | |
|reduceRight | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.<br>**`initialValue`**:  U  - If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value. | Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.<br><br><br>Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function. | U | |
|reverse |  | Reverses the elements in an Array. | Array\<String\> | |
|shift |  | Removes the first element from an array and returns it. | String | |
|slice | **`start`**: *(Optional)*  Number  - The beginning of the specified portion of the array.<br>**`end`**: *(Optional)*  Number  - The end of the specified portion of the array. | Returns a section of an array. | Array\<String\> | |
|some | **`callbackfn`**:  ObjectLiteral  - A function that accepts up to three arguments. The some method calls the callbackfn function for each element in array1 until the callbackfn returns true, or until the end of the array.<br>**`thisArg`**: *(Optional)*  Any  - An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value. | Determines whether the specified callback function returns true for any element of an array. | Boolean | |
|sort | **`compareFn`**: *(Optional)*  ObjectLiteral  - The name of the function used to determine the order of the elements. If omitted, the elements are sorted in ascending, ASCII character order. | Sorts an array. | [RegExpExecArray](README.md) | |
|splice | **`start`**:  Number  - The zero-based location in the array from which to start removing elements.<br>**`deleteCount`**: *(Optional)*  Number  - The number of elements to remove. | Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.<br><br><br>Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements. | Array\<String\> | |
|splice | **`start`**:  Number  - The zero-based location in the array from which to start removing elements.<br>**`deleteCount`**:  Number  - The number of elements to remove.<br>...**`items`**:  Array\<String\>  - Elements to insert into the array in place of the deleted elements. | Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.<br><br><br>Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements. | Array\<String\> | |
|toLocaleString |  | Returns a string representation of an array. The elements are converted to string using their toLocalString methods. | String | |
|toString |  | Returns a string representation of an array. | String | |
|unshift | ...**`items`**:  Array\<String\>  - Elements to insert at the start of the Array. | Inserts new elements at the start of an array. | Number | |
|values |  | Returns an iterable of values in the array | [IterableIterator](../IterableIterator/README.md)\<String\> | |
