import { createError } from '@cirrusct/core-node';
import { Logger } from '@cirrusct/logging';
import { MonoRepoPackage, MonoRepo } from '@cirrusct/mr-core';
import { BuildConfig } from '@cirrusct/mr-build';
import { MrCommandHandler, MrCommandHandlerArgs } from '@cirrusct/mr-command';
import { MrDeployOptions } from './types';
import { handleGenerateCommand } from './generate';
import { handleShowConfigCommand } from './showConfig';

export const deployCommandHandler: MrCommandHandler<MrDeployOptions> = async (
    args: MrCommandHandlerArgs<MrDeployOptions>
): Promise<void | number> => {
    const { options = {}, logger } = args;

    if (!(options.showConfig || options.generate)) {
        logger.warn(`Deploy: No Options.  Nothing to do.`);
    }

    if (options.showConfig) {
        await handleShowConfigCommand(args);
    }

    if (options.generate) {
        await handleGenerateCommand(args);
    }
};
